Create or update a campaign
import requests
url = "https://{FUSION HOST}/api/experience-manager/campaigns"
payload = {
"effective_range": ["<string>"],
"id": "<string>",
"name": "<string>",
"updatedOn": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/experience-manager/campaigns")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"effective_range\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"updatedOn\": \"2023-11-07T05:31:56Z\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
effective_range: ['<string>'],
id: '<string>',
name: '<string>',
updatedOn: '2023-11-07T05:31:56Z'
})
};
fetch('https://{FUSION HOST}/api/experience-manager/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/experience-manager/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"effective_range\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"updatedOn\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/experience-manager/campaigns"
payload := strings.NewReader("{\n \"effective_range\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"updatedOn\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/experience-manager/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_range' => [
'<string>'
],
'id' => '<string>',
'name' => '<string>',
'updatedOn' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{FUSION HOST}/api/experience-manager/campaigns \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_range": [
"<string>"
],
"id": "<string>",
"name": "<string>",
"updatedOn": "2023-11-07T05:31:56Z"
}
'{}This response has no body data.This response has no body data.This response has no body data.This response has no body data.Create or update a campaign
Creates a new campaign or updates an existing campaign in the Experience Manager.
POST
/
experience-manager
/
campaigns
Create or update a campaign
import requests
url = "https://{FUSION HOST}/api/experience-manager/campaigns"
payload = {
"effective_range": ["<string>"],
"id": "<string>",
"name": "<string>",
"updatedOn": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/experience-manager/campaigns")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"effective_range\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"updatedOn\": \"2023-11-07T05:31:56Z\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
effective_range: ['<string>'],
id: '<string>',
name: '<string>',
updatedOn: '2023-11-07T05:31:56Z'
})
};
fetch('https://{FUSION HOST}/api/experience-manager/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/experience-manager/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"effective_range\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"updatedOn\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/experience-manager/campaigns"
payload := strings.NewReader("{\n \"effective_range\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"updatedOn\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/experience-manager/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'effective_range' => [
'<string>'
],
'id' => '<string>',
'name' => '<string>',
'updatedOn' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Time in milliseconds within which the update should be committed.
Application context for the campaign request, typically indicating the scope or tenant.
Indicates whether the campaign should be created or updated in a staging environment.
Optional version number of the campaign update.
Body
application/json
Campaign details to be created or updated.
Response
Campaign successfully updated.
The response is of type object.
Was this page helpful?
⌘I